## zope2.9 2.9.7-1

=== debian/changelog ===
zope2.9 (2.9.7-1) unstable; urgency=low

  * New upstream release, including the fix for CVE-2007-0240.
    (Closes: #415564)
  * Add myself as an uploader.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 28 Mar 2007 22:00:37 +0200

zope2.9 (2.9.6-4) unstable; urgency=medium

  * debian/patches/webdav.dpatch: applied patch to correctly quote resource
    ids for the webdav protocol. (Closes: #409371)

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  7 Feb 2007 12:29:49 +0100

zope2.9 (2.9.6-3) unstable; urgency=medium

  * debian/control: build-depends on zope-debhelper >= 0.3.6, which fixes a
    few important bugs in the maintainer scripts for the zope2.9-sandbox
    package.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Jan 2007 10:50:32 +0100

zope2.9 (2.9.6-2) unstable; urgency=high

  * debian/rules: fixed file conflict between zope2.9 and zope2.9-sandbox.
    (Closes: #404013)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 26 Nov 2006 18:18:23 +0100

zope2.9 (2.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 21 Nov 2006 20:34:53 +0100

zope2.9 (2.9.5-3) UNRELEASED; urgency=medium

  * Depend on zope-debhelper (>= 0.3.3) to fix a bashism in the generated
    config script for zope2.9-sandbox.
  * Add XS-Vcs-Svn field to control file.
  * Stop suggesting obsolete zope-book and zope-devguide. 

 -- Jérémy Bobbio <jeremy.bobbio@etu.upmc.fr>  Sat, 18 Nov 2006 13:00:00 +0100

zope2.9 (2.9.5-2) unstable; urgency=low

  * debian/rules: added a symlinked README.Debian from zope-common.
    (Closes: #387643)

 -- Fabio Tranchitella <kobold@debian.org>  Thu,  2 Nov 2006 21:18:00 +0100

zope2.9 (2.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Sun,  8 Oct 2006 15:31:20 +0200

zope2.9 (2.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/rst-docutils.dpatch: removed, applied upstream.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 21 Jul 2006 09:43:48 +0200

zope2.9 (2.9.3-3) unstable; urgency=high

  * Fixed an information disclosure vulnerability (CVE-2006-3458) applying
    upstream patch: disable reStructuredText's 'raw' and 'include'
    directives. (Closes: #377286)
  * debian/control: use --home instead of --prefix when calling make install.
    (Closes: #373710)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 11 Jul 2006 16:26:48 +0200

zope2.9 (2.9.3-2) unstable; urgency=low

  * debian/rules: zope2.9-sandbox should be created by binary-indep.
    (Closes: #368614)
  * debian/patches/deb-zopeconf.dpatch: patch mkzeoinstance to fix the
    python library path.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 13 Jun 2006 09:57:20 +0200

zope2.9 (2.9.3-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.7.2, no changes necessary.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 12 May 2006 15:13:05 +0200

zope2.9 (2.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 11 Apr 2006 10:32:16 +0200

zope2.9 (2.9.1-1) unstable; urgency=low

  * New major upstream release, new source package. (Closes: #344224, #355758)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 20 Mar 2006 21:18:58 +0000

zope2.8 (2.8.5-1) unstable; urgency=low

  * New upstream release.
  * debian/zopeZVER.init.in: fixed a typo which prevents zeo instances
    to be started by the init script. (Closes: #341527)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 15 Jan 2006 19:54:59 +0000

zope2.8 (2.8.4-2) unstable; urgency=low

  * debian/rules: remove RestrictedPython/tests/before_and_after24.py,
    because contains a syntax error. (Closes: #340542)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 24 Nov 2005 13:34:47 +0000

zope2.8 (2.8.4-1) unstable; urgency=low

  * New upstream release (2.8.4).
  * Don't remove /var/log/zope2.8/ on package removal. (Closes: #333855)
  * debian/copyright: added a note about Medusa license, since some copyright
    notices inside the upstream tarball are wrong. I think this is enough
    to close the bugreport, and I'll ask upstream to change the license
    statement, too. (Closes: #340164)

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 23 Nov 2005 14:59:27 +0000

zope2.8 (2.8.3-1) unstable; urgency=low

  * New upstream release (2.8.3).

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 23 Oct 2005 14:15:23 +0000

zope2.8 (2.8.1-7) unstable; urgency=medium

  * Apply Hotfix 2005-10-09, resolving a security issue with docutils.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Oct 2005 11:55:49 +0200

zope2.8 (2.8.1-6) unstable; urgency=low

  * Fix debconf dependency (closes: #332178).
  * Fix error in mkzeoinst.py script (closes: #331061).

 -- Matthias Klose <doko@debian.org>  Sat,  8 Oct 2005 16:38:48 +0200

zope2.8 (2.8.1-5) unstable; urgency=low

  * Upload to unstable.

 -- Fabio Tranchitella <kobold@debian.org>  Wed,  7 Sep 2005 14:57:11 +0000

zope2.8 (2.8.1-4) experimental; urgency=low

  * debian/control: build-depends on lsb-release, and use it in debian/rules
    to guess the distribution (Debian or Ubuntu).

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 23 Aug 2005 14:16:18 +0000

zope2.8 (2.8.1-3) experimental; urgency=low

  * debian/rules: do not remove tests, Five needs them.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 19 Aug 2005 12:19:59 +0000

zope2.8 (2.8.1-2) experimental; urgency=low

  * debian/patches/deb-zopeconf.dpatch: added --service-port argument to
    makezopeinstance.py.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Aug 2005 19:47:27 +0000

zope2.8 (2.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 12 Aug 2005 06:56:48 +0000

zope2.8 (2.8.0-2) experimental; urgency=low

  * debian/control:
     o provides zope
     o build-deps on python
     o depends on lsb-base
  * debian/zopeZVER-sandbox.dzinstance.in: use @ZVER@ substitution.

