=== debian/control ===
Source: zope2.9
Section: web
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Fabio Tranchitella <kobold@debian.org>, Jérémy Bobbio <lunar@debian.org>
Build-Depends: debhelper (>= 4.2.32), python-central (>= 0.5.6), python2.4-dev (>= 2.4.2), python2.4, python, zope-debhelper (>= 0.3.6), lsb-release, dpatch
Standards-Version: 3.7.2
XS-Python-Version: 2.4
XS-Vcs-Svn: svn://svn.debian.org/pkg-zope/zope2.9/trunk

Package: zope2.9
Architecture: any
Pre-Depends: zope-common (>= 0.5.21)
Depends: python2.4 (>= 2.4.2), lsb-base, ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
Provides: zope
Suggests: python-unit
XB-Python-Version: 2.4
Description: Open Source Web Application Server
 Zope is an open source web application server primarily written in
 the Python programming language. It features a transactional object
 database which can store not only content and custom data, but also
 dynamic HTML templates, scripts, a search engine, and relational
 database (RDBMS) connections and code.
 .
 It features a strong through-the-web development model, allowing you
 to update your web site from anywhere in the world. To allow for
 this, Zope also features a tightly integrated security model. Built
 around the concept of "safe delegation of control", Zope's security
 architecture also allows you to turn control over parts of a web site
 to other organizations or individuals.
 .
 This package contains the framework and libraries needed to run your
 own Zope 2.9 instance.

Package: zope2.9-sandbox
Architecture: all
Depends: ${zope:Depends}, ${misc:Depends}, debconf | debconf-2.0
Description: sandbox instance for the zope2.9 web application server
 Package which creates a "sandbox" instance, getting all Zope
 products and packages available which are installed as Debian packages.
 .
 The sandbox is usable for development and testing. For production
 please setup your own Zope 2.9 instance using dzhandle utility.
